CVE-2013-4370

NameCVE-2013-4370
DescriptionThe ocaml binding for the xc_vcpu_getaffinity function in Xen 4.2.x and 4.3.x frees certain memory that may still be intended for use, which allows local users to cause a denial of service (heap corruption and crash) and possibly execute arbitrary code via unspecified vectors that trigger a (1) use-after-free or (2) double free.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
xen (PTS)stretch (security), stretch4.8.5.final+shim4.10.4-1+deb9u12fixed
buster4.11.4+37-g3263f257ca-1fixed
buster (security)4.11.4+57-g41a822c392-2fixed
bullseye, sid4.14.0+88-g1d1d1f5391-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
xensourcesqueeze(not affected)
xensourcewheezy(not affected)
xensource(unstable)4.4.0-1

Notes

[wheezy] - xen <not-affected> (Vulnerable code only present from 4.2 onwards)
[squeeze] - xen <not-affected> (Vulnerable code only present from 4.2 onwards)

Search for package or bug name: Reporting problems